%define anolis_release 1

%bcond_with bootstrap
%if %{without bootstrap}
%bcond_without tests
%else
%bcond_with tests
%endif

Name:           python-hatch-vcs
Version:        0.3.0
Release:        %{anolis_release}%{?dist}
Summary:        Hatch plugin for versioning with your preferred VCS
License:        MIT
URL:            https://github.com/ofek/hatch-vcs
Source0:        https://github.com/ofek/hatch-vcs/archive/refs/tags/v%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros
%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  git-core
%endif

%description
This provides a plugin for Hatch that uses your preferred version control 
system (like Git) to determine project versions.


%package -n python3-hatch-vcs
Summary:        %{summary}

%description -n python3-hatch-vcs 
This provides a plugin for Hatch that uses your preferred version control
system (like Git) to determine project versions.

%package -n python3-hatch-vcs-doc
Summary:        Documentation files for python3-hatch-vcs
Requires:       python3-hatch-vcs = %{version}-%{release}
BuildArch:      noarch

%description -n python3-hatch-vcs-doc
The python3-hatch-vcs-doc package contains documentation files for python3-hatch-vcs.

%prep
%autosetup -n hatch-vcs-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files hatch_vcs

rm -rf %{buildroot}%{python3_sitelib}/hatch_vcs-%{version}.dist-info/licenses/LICENSE.txt

%check
%if %{with tests}
%pytest
%else
%pyproject_check_import
%endif


%files -n python3-hatch-vcs -f %{pyproject_files}
%license LICENSE.txt
%doc HISTORY.md
%doc README.md

%files -n python3-hatch-vcs-doc
%doc README.md
%doc HISTORY.md

%changelog
* Fri Dec 30 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.3.0-1
- update to version 0.3.0

* Fri Oct 14 2022 happy_orange <songnannan@linux.alibaba.com> - 0.2.0-1
- init package from upstream
